SolanaFM Tagged Token List

SolanaFM Tagged Token List

This end point returns you a paginated list of tokens available from our data store. You can paginate through the response body to index all available tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

This endpoint only returns you a paginated list of tokens identified by the SolanaFM team (Not tokens indexed on-chain)

Results

Valid Response

[<object>]- a list of JSON objects each containing the following fields:

  • tokenHash:<String>, the token hash
  • data:<object>, the token data object containing the following fields:
"data": {
          "mint": "12f7GQoFVaBZzkKLjPTPukmMCjzK7czYN9vsAp8VQoZg",
          "tokenName": "Token 12f7",
          "symbol": "12f7G",
          "decimals": 6,
          "description": "",
          "logo": "",
          "tags": [],
          "verified": "false",
          "network": [
            "devnet"
          ],
          "metadataToken": ""
        }
  • pagination:<object>, the pagination cursor object:
    • next:<String>, the next cursor pointer to traverse the record to the next page
    • previous:<String>, the previous cursor pointer to traverse the record to the previous page

Invalid Response

<object> - a JSON object containing the following fields if the requested account doesn't exist

  • code:<integer>, The error code
  • message:<String>, An error message to indicate which part of the query went wrong
  • status:<String>, The response status following the error code
    • 400 = Bad Request (client side)
    • 500 = Internal Server Error (server side)
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json